/* Responsive in responsive.css */

/* General */

.acf-block {
    min-height: 600px;
    min-height: 100vh;
    overflow: hidden;
}

/* Buttons */

body:not(.wp-admin):not(.wp-customizer) .form-submit #submit,
body:not(.wp-admin):not(.wp-customizer) .form-submit #submit:visited,
body:not(.wp-admin):not(.wp-customizer) .frm_button_submit,
body:not(.wp-admin):not(.wp-customizer) .frm_button_submit:visited,
body:not(.wp-admin):not(.wp-customizer) .frm_prev_page,
body:not(.wp-admin):not(.wp-customizer) .frm_prev_page:visited,
body:not(.wp-admin):not(.wp-customizer) .button:not(.ed_button),
body:not(.wp-admin):not(.wp-customizer) .button:not(.ed_button):visited,
body:not(.wp-admin):not(.wp-customizer) .button.green,
body:not(.wp-admin):not(.wp-customizer) .button.green:visited,
body:not(.wp-admin):not(.wp-customizer) .wp-block-button__link,
body:not(.wp-admin):not(.wp-customizer) .wp-block-button__link:visited,
body.wp-admin .edit-post-visual-editor .acf-block-preview .form-submit #submit,
body.wp-admin .edit-post-visual-editor .acf-block-preview .form-submit #submit:visited,
body.wp-admin .edit-post-visual-editor .acf-block-preview .frm_button_submit,
body.wp-admin .edit-post-visual-editor .acf-block-preview .frm_button_submit:visited,
body.wp-admin .edit-post-visual-editor .acf-block-preview .frm_prev_page,
body.wp-admin .edit-post-visual-editor .acf-block-preview .frm_prev_page:visited,
body.wp-admin .edit-post-visual-editor .acf-block-preview .button,
body.wp-admin .edit-post-visual-editor .acf-block-preview .button:visited,
body.wp-admin .edit-post-visual-editor .acf-block-preview .button.green,
body.wp-admin .edit-post-visual-editor .acf-block-preview .button.green:visited,
body.wp-admin .edit-post-visual-editor .acf-block-preview .wp-block-button__link,
body.wp-admin .edit-post-visual-editor .acf-block-preview .wp-block-button__link:visited {
    font-size: 16px;
    font-weight: 600;
    color: #FFFFFF;
    cursor: pointer;
    display: inline-block;
    padding: 12px 24px;
    margin: 15px 0;
    background-color: #A86BAA;
    border: none;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    -webkit-transition: all 150ms ease-in-out;
    -moz-transition: all 150ms ease-in-out;
    -o-transition: all 150ms ease-in-out;
    transition: all 150ms ease-in-out;
    text-decoration: none;
}

body:not(.wp-admin):not(.wp-customizer) .form-submit #submit:hover,
body:not(.wp-admin):not(.wp-customizer) .wp-block-button__link:hover,
body:not(.wp-admin):not(.wp-customizer) .frm_button_submit:hover,
body:not(.wp-admin):not(.wp-customizer) .frm_prev_page:hover,
body:not(.wp-admin):not(.wp-customizer) .button:not(.ed_button):hover,
body.wp-admin .edit-post-visual-editor .acf-block-preview .form-submit #submit:hover,
body.wp-admin .edit-post-visual-editor .acf-block-preview .wp-block-button__link:hover,
body.wp-admin .edit-post-visual-editor .acf-block-preview .frm_button_submit:hover,
body.wp-admin .edit-post-visual-editor .acf-block-preview .frm_prev_page:hover,
body.wp-admin .edit-post-visual-editor .acf-block-preview .button:hover,
body:not(.wp-admin):not(.wp-customizer) .form-submit #submit:focus,
body:not(.wp-admin):not(.wp-customizer) .wp-block-button__link:focus,
body:not(.wp-admin):not(.wp-customizer) .frm_button_submit:focus,
body:not(.wp-admin):not(.wp-customizer) .frm_prev_page:focus,
body:not(.wp-admin):not(.wp-customizer) .button:not(.ed_button):focus,
body.wp-admin .edit-post-visual-editor .acf-block-preview .form-submit #submit:focus,
body.wp-admin .edit-post-visual-editor .acf-block-preview .wp-block-button__link:focus,
body.wp-admin .edit-post-visual-editor .acf-block-preview .frm_button_submit:focus,
body.wp-admin .edit-post-visual-editor .acf-block-preview .frm_prev_page:focus,
body.wp-admin .edit-post-visual-editor .acf-block-preview .button:focus {
    background-color: #995B9B;
}

body:not(.wp-admin):not(.wp-customizer) .form-submit #submit:active,
body:not(.wp-admin):not(.wp-customizer) .wp-block-button__link:active,
body:not(.wp-admin):not(.wp-customizer) .frm_button_submit:active,
body:not(.wp-admin):not(.wp-customizer) .frm_prev_page:active,
body:not(.wp-admin):not(.wp-customizer) .button:not(.ed_button):active,
body.wp-admin .edit-post-visual-editor .acf-block-preview .form-submit #submit:active,
body.wp-admin .edit-post-visual-editor .acf-block-preview .wp-block-button__link:active,
body.wp-admin .edit-post-visual-editor .acf-block-preview .frm_button_submit:active,
body.wp-admin .edit-post-visual-editor .acf-block-preview .frm_prev_page:active,
body.wp-admin .edit-post-visual-editor .acf-block-preview .button:active {
    background-color: #8A3D8C;
}

body:not(.wp-admin):not(.wp-customizer) .form-submit #submit:disabled,
body:not(.wp-admin):not(.wp-customizer) .wp-block-button__link:disabled,
body:not(.wp-admin):not(.wp-customizer) .frm_button_submit:disabled,
body:not(.wp-admin):not(.wp-customizer) .frm_prev_page:disabled,
body:not(.wp-admin):not(.wp-customizer) .button:not(.ed_button):disabled,
body.wp-admin .edit-post-visual-editor .acf-block-preview .form-submit #submit:disabled,
body.wp-admin .edit-post-visual-editor .acf-block-preview .wp-block-button__link:disabled,
body.wp-admin .edit-post-visual-editor .acf-block-preview .frm_button_submit:disabled,
body.wp-admin .edit-post-visual-editor .acf-block-preview .frm_prev_page:disabled,
body.wp-admin .edit-post-visual-editor .acf-block-preview .button:disabled {
    cursor: not-allowed;
}

body:not(.wp-admin):not(.wp-customizer) .button + .button:not(.ed_button),
body.wp-admin .edit-post-visual-editor .acf-block-preview .button + .button:not(.ed_button) {
    margin-left: 15px;
}

body:not(.wp-admin):not(.wp-customizer) .button.secondary,
body.wp-admin .edit-post-visual-editor .acf-block-preview .button.secondary {

}

@-webkit-keyframes arrow-right {
    10%, 60% {
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
    }
    25% {
        transform: translateX(100%);
        opacity: 0;
        visibility: hidden;
    }
    55% {
        transform: translateX(0);
        opacity: 0;
        visibility: hidden;
    }
}

@-moz-keyframes arrow-right {
    10%, 60% {
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
    }
    25% {
        transform: translateX(100%);
        opacity: 0;
        visibility: hidden;
    }
    55% {
        transform: translateX(0);
        opacity: 0;
        visibility: hidden;
    }
}

@-o-keyframes arrow-right {
    10%, 60% {
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
    }
    25% {
        transform: translateX(100%);
        opacity: 0;
        visibility: hidden;
    }
    55% {
        transform: translateX(0);
        opacity: 0;
        visibility: hidden;
    }
}

@keyframes arrow-right {
    10%, 60% {
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
    }
    25% {
        transform: translateX(100%);
        opacity: 0;
        visibility: hidden;
    }
    55% {
        transform: translateX(0);
        opacity: 0;
        visibility: hidden;
    }
}